'' 
'' このコードは、https://demo.mescius.jp/diodocs/pdf のサンプルの一部として提供されています。
'' © MESCIUS inc. All rights reserved.
'' 
Imports System.IO
Imports System.Drawing
Imports System.Numerics
Imports GrapeCity.Documents.Pdf
Imports GrapeCity.Documents.Text
Imports GrapeCity.Documents.Drawing
Imports GrapeCity.Documents.Pdf.Annotations
Imports GrapeCity.Documents.Pdf.Actions

'' 外部URLへのリンクを作成し、それをページ上のテキストに
'' 関連付ける簡単な方法を紹介します。
Public Class LinkToURL
    Function CreatePDF(ByVal stream As Stream) As Integer
        Dim doc = New GcPdfDocument()
        Dim page = doc.NewPage()
        Dim g = page.Graphics

        '' リンクを設定するテキストを描画します。
        Dim tl = g.CreateTextLayout()
        tl.MarginAll = 72
        tl.Append("このテキストには、Google へのリンクが関連付けられています。",
                  New TextFormat() With {.Font = Util.getFont(), .FontSize = 14})
        tl.PerformLayout(True)
        g.DrawTextLayout(tl, PointF.Empty)

        '' 関連付けられたリンクをテキスト領域に追加します。
        page.Annotations.Add(New LinkAnnotation(tl.ContentRectangle, New ActionURI("https://www.google.com")))
        ''
        '' PDF ドキュメントを保存します。
        doc.Save(stream)
        Return doc.Pages.Count
    End Function
End Class
